SDL Library Documentation
Prev |  | Next

# SDL_BuildAudioCVT

## Name

SDL_BuildAudioCVT -- Initializes a SDL_AudioCVT structure for conversion

## Synopsis

    #include "SDL.h"

``int SDL_BuildAudioCVT`(SDL_AudioCVT *cvt, Uint16 src_format, Uint8 src_channels, int src_rate, Uint16 dst_format, Uint8 dst_channels, int dst_rate);`

## Description

Before an SDL_AudioCVT structure can be used to convert audio data it must be initialized with source and destination information.

`src_format` and `dst_format` are the source and destination format of the conversion. (For information on audio formats see SDL_AudioSpec). `src_channels` and `dst_channels` are the number of channels in the source and destination formats. Finally, `src_rate` and `dst_rate` are the frequency or samples-per-second of the source and destination formats. Once again, see SDL_AudioSpec.

## Return Values

Returns -1 if the filter could not be built or 1 if it could.

## Examples

See `SDL_ConvertAudio`.

## See Also

`SDL_ConvertAudio`, `SDL_AudioCVT`

Prev | Home | Next
SDL_AudioCVT | Up | SDL_ConvertAudio